Summary		: CUPS backend for the Canon printers using the proprietary BJNP network protocol.
Name		: cups-bjnp
Version		: 0.5
Release		: 1%{?dist}
License		: GPL
Source		: http://downloads.sourceforge.net/cups-bjnp/cups-bjnp-%{version}.tar.gz
Group		: System Environment/Daemons
Vendor		: travellersoft
Provides	: %{name} = %{version}-%{release}
URL		: https://sourceforge.net/projects/cups-bjnp/
BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cups-devel imake

%define cups_backend_dir %{_exec_prefix}/lib/cups/backend
%description
This package contains a backend for CUPS for Canon printers using the proprietary BJNP network protocol.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --prefix=/usr --with-cupsbackenddir=%{cups_backend_dir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
# [ %{BUILDROOT} != / ] && [ -d %{BUILDROOT} ] && rm -rf %{BUILDROOT}
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{cups_backend_dir}
%doc COPYING
%doc INSTALL
%doc ChangeLog
%doc TODO
%doc NEWS
%doc README

%changelog
* Thu Mar 12 2009 Louis Lagendijk <llagendijk@users.sourceforge.net>
  Documentation improvements
  Debugging improvements
  Release 0.5
* Thu Feb 19 2009 Louis Lagendijk <llagendijk@users.sourceforge.net>
  Release 0.5beta4
- added autoconf/automake support
- added support for OS's that do not have getifaddr(). this support is limited as
  global broadcasts may not work when more than one active interface is found
- corrected an error when getifaddr finds a ptp interface
* Mon Nov 17 2008 Louis Lagendijk <llagendijk@users.sourceforge.net>
  Release 0.4
- Added keep-alive to keep TCP connection open (printer will close it when
  connection is idle for ~30 sec). This will occur when filter is slow with
  sending more data for whatever reason.
- Added a delay of 15 seconds at end of printjob as some printers will otherwise not 
  accept new printjobs
- Cleanup of Makefile and specfile so it works for all RedHat style systems
* Tue Oct 7 2008 Louis Lagendijk <llagendijk@users.sourceforge.net>
- added some sanity checks on call to gethostbyaddr so we do not bomb out
  when hostname field is not set (can this occur?) or when a buggy Avm fritz box
  returns noname rather then fail when no name is available on a reverse name lookup
- Added a version string printout when incorrect number of arguments is recieved on command line
- changed printbuffer to 4k. Recommended by Zedo, the Turboprint people
  changed throttle pause from 3 sec to 40 msec. Improves performance. Recommended by Zedo.
- fixed a bug in scanning our interfaces when ifa_addr could be 0
  (reported by Matt McHenry <jerith@speakeasy.org>)
- added new/ improved compiler flags that trap more mistakes
- sone cleanup with feedback from Sane-BJNP (revised protocol codes etc)
- minor bugfixes for off-line behaviour
* Sat Aug 9 2008 Louis Lagendijk <llagendijk@users.sourceforge.net>
- release 0.2
* Sat Aug 2 2008 Louis Lagendijk <llagendijk@users.sourceforge.net>
- Initial RPM release for release 0.1
